<?php

declare(strict_types=1);

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use App\Repositories\PracoviskoRepositoryContract;
use App\Repositories\PouzivatelRepositoryContract;
use App\Repositories\Eloquent\PracoviskoRepository;
use App\Repositories\Eloquent\PouzivatelRepository;

/**
 * Class RepositoryServiceProvider
 *
 * @package App\Providers
 */
final class RepositoryServiceProvider extends ServiceProvider
{
    /**
     *
     */
    public function register()
    {
        $this->app->bind(PouzivatelRepositoryContract::class, PouzivatelRepository::class);
        $this->app->bind(PracoviskoRepositoryContract::class, PracoviskoRepository::class);
    }
}
